#include "triple.h"



const QString cutesib::Triple::AnyUri = "http://www.nokia.com/NRC/M3/sib#any";


cutesib::Triple::Triple(QString subject, QString predicate, QString object, RdfTripleType objecType)
{
    subject_ = subject;
    predicate_ = predicate;
    object_ = object;
    objectType_ = objecType;
}

cutesib::Triple::~Triple()
{

}



QString cutesib::Triple::subject()
{
    return subject_;
}

QString cutesib::Triple::object()
{
    return object_;
}

QString cutesib::Triple::predicate()
{
    return predicate_;
}

cutesib::RdfTripleType cutesib::Triple::objectType()
{
    return objectType_;
}
