// Date 06/05/15


#include <QString>


#ifndef TRIPLE_H
#define TRIPLE_H



namespace cutesib {

enum RdfTripleType {
    URI,
    LITERAL,
    UNKNOWN
};



class Triple
{
public:
    Triple(QString subject, QString predicate, QString object, RdfTripleType objecType);
    ~Triple();

    QString subject();
    QString object();
    QString predicate();
    RdfTripleType objectType();

    static const QString AnyUri;

private:
    QString subject_;
    QString predicate_;
    QString object_;
    RdfTripleType objectType_;

};

}

#endif // TRIPLE_H
