#-------------------------------------------------
#
# Project created by QtCreator 2015-02-27T16:21:32
#
#-------------------------------------------------

VERSION = 0.1

QT       -= gui
QT       += network

CONFIG   += network

DEFINES += QT_NO_DEBUG_OUTPUT=1

TARGET = TcpAccessPoint
windows {
    TARGET_EXT = .dll
}

TEMPLATE = lib

DEFINES += TCPACCESSPOINT_LIBRARY
DEFINES += ACCESSPOINTINTERFACE_LIBRARY
DEFINES += SIB_DEBUG_PREFIX=\\\"--TCPAP--\\\"
DEFINES += SIB_DEBUG_FNAME=Q_FUNC_INFO
#__FUNCTION__
DEFINES += SIB_DEBUG_STRING=\\\"SIB_DEBUG_PREFIX<<__FUNCTION__\\\"

debug {
    DEFINES += SIB_TCPAP_DEBUG
}

#Q_FUNC_INFO\\\"

SOURCES += tcpaccesspoint.cpp \
    tcpclient.cpp

HEADERS += tcpaccesspoint.h\
        tcpaccesspoint_global.h \
    tcpclient.h

unix {
    target.path = /usr/lib
    INSTALLS += target
}


QMAKE_CXXFLAGS += -std=c++11
QMAKE_CXXFLAGS += -Wall


DISTFILES += \
    tcp_access_point.json


win32:CONFIG(release, debug|release): LIBS += -L$$OUT_PWD/../AccessPointInterface/release/ -lAccessPointInterface
else:win32:CONFIG(debug, debug|release): LIBS += -L$$OUT_PWD/../AccessPointInterface/debug/ -lAccessPointInterface
else:unix: LIBS += -L$$OUT_PWD/../AccessPointInterface/ -lAccessPointInterface

INCLUDEPATH += $$PWD/../AccessPointInterface
DEPENDPATH += $$PWD/../AccessPointInterface
