/**
* @author Aleksandr A. Lomov <lomov@cs.karelia.ru>
* @date   13.03.2015
* @brief  !!!INSERT BRIEF!!!
*
* This file is part of the QT-SIB project.
*
* Copyright (C) 2015 by PetrSU.
* Contact: http://oss.fruct.org/wiki/SmartSpace-platform
*
* @section LICENSE
*
* QT-SIB is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* QT-SIB is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with QT-SIB; if not, write to the Free Software
* Foundation, Inc., 51 Franklin St, Fifth Floor,
* Boston, MA  02110-1301  USA
*
* @section DESCRIPTION
*
* !!!INSERT DESCRIPTION!!!.
**/

#ifndef REQUEST_H
#define REQUEST_H


//#include "accesspointinterface_global.h"
#include "accesspointinterface.h"


namespace cutesib {
namespace access_point {

//TODO: how to change: dosent store interafce in the request
// Forward declaration to compile (eliminate cross h. include)
class AccessPointInterface;
class Client;

class ACCESSPOINTINTERFACESHARED_EXPORT Request: public QObject
{

    Q_OBJECT
public:
    explicit Request(AccessPointInterface *accessPoint, Client *client, QByteArray data);
    ~Request();

    AccessPointInterface *getAccessPoint();
    const Client *getClient() const;
    const QByteArray getData() const;

private:
    AccessPointInterface *accessPoint_;
    Client *client_;
    QByteArray data_;
};

} // namespace access_point
} // namespace cutesib

#endif // REQUEST_H
