#ifndef SIBCONFIG_H
#define SIBCONFIG_H


#include <QList>
#include <QMap>
#include <QString>
#include <QStringList>
#include <QSettings>


#define CUTESIB_CONFIG_AP_PREFIX "AccessPoint:"
#define CUTESIB_CONFIG_AP_DEFAULT_FOLDER "./"


class SibConfig
{
public:
    SibConfig(QString path);
    ~SibConfig();

    QStringList getAccessPoints() const;
    QString getAccessPointParameters(QString configPointId);
    QString getAccessPointPath(QString accessPointId);

private:
    QSettings settings;
    QMap<QString, QString> _accessPoints1;
    QStringList _accessPoints;
};

#endif // SIBCONFIG_H
