#include "ssapconstants.h"

cutesib::SsapConstants::SsapConstants()
{

}

cutesib::SsapConstants::~SsapConstants()
{

}

// SSAP request/response
const QString cutesib::SsapConstants::MessageTypeRequest = "REQUEST";
const QString cutesib::SsapConstants::MessageTypeResponse = "RESPONSE";

// SSAP transactions/messages.
const QString cutesib::SsapConstants::TransactionTypeJoin = "JOIN";
const QString cutesib::SsapConstants::TransactionTypeLeave = "LEAVE";
const QString cutesib::SsapConstants::TransactionTypeInsert = "INSERT";
const QString cutesib::SsapConstants::TransactionTypeUpdate = "UPDATE";
const QString cutesib::SsapConstants::TransactionTypeRemove = "REMOVE";
const QString cutesib::SsapConstants::TransactionTypeQuery = "QUERY";
const QString cutesib::SsapConstants::TransactionTypeSubscribe = "SUBSCRIBE";
const QString cutesib::SsapConstants::TransactionTypeUnsubscribe = "UNSUBSCRIBE";

// SSAP tags.
const QString cutesib::SsapConstants::TagParameter = "parameter";

// SSAP tags for triples.
const QString cutesib::SsapConstants::TagTripleList = "triple_list";
const QString cutesib::SsapConstants::TagTriple = "triple";
const QString cutesib::SsapConstants::TagSubject = "subject";
const QString cutesib::SsapConstants::TagPredicate = "predicate";
const QString cutesib::SsapConstants::TagObject = "object";



// SSAP attributes.
const QString cutesib::SsapConstants::AttributeName = "name";
const QString cutesib::SsapConstants::AttributeEncoding = "encoding";
const QString cutesib::SsapConstants::AttributeType = "type";

// SSAP attributes values.
const QString cutesib::SsapConstants::AttributeValueRdfM3 = "RDF-M3";
const QString cutesib::SsapConstants::AttributeValueInsertGraph = "insert_graph";
const QString cutesib::SsapConstants::AttributeValueConfirm = "confirm";

// SSAP attributes values for RDF types.
const QString cutesib::SsapConstants::AttributeValueRdfTypeUri = "uri";
const QString cutesib::SsapConstants::AttributeValueRdfTypeLiteral = "literal";
