#-------------------------------------------------
#
# Project created by QtCreator 2015-04-12T06:41:12
#
#-------------------------------------------------

VERSION = 0.1

QT       -= gui
QT       += network

CONFIG   += network

TARGET = DiscoveryAccessPoint
windows {
    TARGET_EXT = .dll
}

TEMPLATE = lib

DEFINES += QT_NO_DEBUG_OUTPUT=1
DEFINES += TCPACCESSPOINT_LIBRARY
DEFINES += ACCESSPOINTINTERFACE_LIBRARY
DEFINES += SIB_DEBUG_PREFIX=\\\"--DISCOVERY-AP--\\\"
DEFINES += SIB_DEBUG_FNAME=Q_FUNC_INFO
#__FUNCTION__
DEFINES += SIB_DEBUG_STRING=\\\"SIB_DEBUG_PREFIX<<__FUNCTION__\\\"

debug {
    DEFINES += SIB_DISCOVERYAP_DEBUG
}

#Q_FUNC_INFO\\\"

SOURCES += discoveryaccesspoint.cpp

HEADERS += discoveryaccesspoint.h\
        discoveryaccesspoint_global.h

unix {
    target.path = /usr/lib
    INSTALLS += target
}


QMAKE_CXXFLAGS += -std=c++11
QMAKE_CXXFLAGS += -Wall


DISTFILES += \
    discovery_access_point.json


win32:CONFIG(release, debug|release): LIBS += -L$$OUT_PWD/../AccessPointInterface/release/ -lAccessPointInterface
else:win32:CONFIG(debug, debug|release): LIBS += -L$$OUT_PWD/../AccessPointInterface/debug/ -lAccessPointInterface
else:unix: LIBS += -L$$OUT_PWD/../AccessPointInterface/ -lAccessPointInterface

INCLUDEPATH += $$PWD/../AccessPointInterface
DEPENDPATH += $$PWD/../AccessPointInterface



# Add target for Makefile to copy config file to 'build' dir.
#copydata.commands = $(COPY_FILE) $$SIB_CONFIG $$OUT_PWD
#first.depends = $(first) copydata
#export(first.depends)
#export(copydata.commands)
#QMAKE_EXTRA_TARGETS += first copydata
